Bug 40936 - Translations for JavaScript files are not created correctly
Translations for JavaScript files are not created correctly
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1-2-errata
Assigned To: Eduard Mai
Alexander Kläser
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-23 12:28 CET by Alexander Kläser
Modified: 2016-08-03 15:56 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Internationalization
Max CVSS v3 score:
klaeser: Patch_Available+


Attachments
Patch (1.12 KB, patch)
2016-03-23 12:29 CET, Alexander Kläser
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2016-03-23 12:28:46 CET
We received feedback that the po files for JavaScript files are not created correctly. In fact, the python files are taken as source files by mistake.

[Ticket#2016031421000382]
Comment 1 Alexander Kläser univentionstaff 2016-03-23 12:29:45 CET
Created attachment 7556 [details]
Patch

This patch fixes the erroneous behavior.
Comment 2 Florian Best univentionstaff 2016-03-23 12:36:21 CET
Since svn r66777.
Comment 3 Eduard Mai univentionstaff 2016-06-01 16:27:05 CEST
I tested the proposed patch. It fixes the issue.

Rev. 69709: Applied the patch.
Package: univention-ucs-translation-template
Version: 3.0.1-5.8.201606011623
Branch: ucs_4.1-0
Scope: errata4.1-2
Comment 4 Alexander Kläser univentionstaff 2016-07-05 11:24:52 CEST
Changes: OK, they work
YAML file: FAIL, is missing.
Comment 5 Alexander Kläser univentionstaff 2016-07-15 16:06:37 CEST
Change: OK, still :)
YAML file: OK

→ VERIFIED
Comment 6 Janek Walkenhorst univentionstaff 2016-08-03 15:56:44 CEST
<http://errata.software-univention.de/ucs/4.1/225.html>